Index: cpukit/score/cpu/sh/ChangeLog
===================================================================
--- cpukit/score/cpu/sh/ChangeLog	(revision 42540ecd0e692820604bc5723f2a06f9359d22dc)
+++ cpukit/score/cpu/sh/ChangeLog	(revision 9a26317f87f329c748cedb2b7cb307a15540703e)
@@ -1,2 +1,7 @@
+2004-03-30	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* cpu.c, rtems/score/cpu.h, rtems/score/sh.h, rtems/score/sh_io.h:
+	Convert to using c99 fixed size types.
+
 2004-03-29	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: cpukit/score/cpu/sh/cpu.c
===================================================================
--- cpukit/score/cpu/sh/cpu.c	(revision 42540ecd0e692820604bc5723f2a06f9359d22dc)
+++ cpukit/score/cpu/sh/cpu.c	(revision 9a26317f87f329c748cedb2b7cb307a15540703e)
@@ -51,5 +51,5 @@
 )
 {
-  register unsigned32 level = 0;
+  register uint32_t   level = 0;
 
   /*
@@ -94,5 +94,5 @@
  */
  
-unsigned32 _CPU_ISR_Get_level( void )
+uint32_t   _CPU_ISR_Get_level( void )
 {
   /*
@@ -100,5 +100,5 @@
    */
 
-  register unsigned32 _mask ;
+  register uint32_t   _mask ;
   
   sh_get_interrupt_level( _mask );
@@ -113,5 +113,5 @@
  
 void _CPU_ISR_install_raw_handler(
-  unsigned32  vector,
+  uint32_t    vector,
   proc_ptr    new_handler,
   proc_ptr   *old_handler
@@ -125,5 +125,5 @@
 
 #if SH_PARANOID_ISR  
-  unsigned32		level ;
+  uint32_t  		level ;
 
   sh_disable_interrupts( level );
@@ -160,5 +160,5 @@
 #if defined(__sh1__) || defined(__sh2__)
 void _CPU_ISR_install_vector(
-  unsigned32  vector,
+  uint32_t    vector,
   proc_ptr    new_handler,
   proc_ptr   *old_handler
@@ -224,5 +224,5 @@
 #if (CPU_USE_GENERIC_BITFIELD_CODE == FALSE)
 
-unsigned8 _bit_set_table[16] = 
+uint8_t   _bit_set_table[16] = 
   { 4, 4, 4, 4, 4, 4, 4, 4, 3, 3, 3, 3, 2, 2, 1,0};
 
@@ -233,10 +233,10 @@
   Context_Control	*_the_context,
   void			*_stack_base,
-  unsigned32		_size,
-  unsigned32		_isr,
+  uint32_t  		_size,
+  uint32_t  		_isr,
   void 	(*_entry_point)(void),
   int			_is_fp )
 {
-  _the_context->r15 = (unsigned32*) ((unsigned32) (_stack_base) + (_size) );
+  _the_context->r15 = (uint32_t  *) ((uint32_t  ) (_stack_base) + (_size) );
 #if defined(__sh1__) || defined(__sh2__)
   _the_context->sr  = (_isr << 4) & 0x00f0 ;
@@ -244,5 +244,5 @@
   _the_context->sr  = SH4_SR_MD | ((_isr << 4) & 0x00f0);
 #endif
-  _the_context->pr  = (unsigned32*) _entry_point ;
+  _the_context->pr  = (uint32_t  *) _entry_point ;
 
 
Index: cpukit/score/cpu/sh/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/sh/rtems/score/cpu.h	(revision 42540ecd0e692820604bc5723f2a06f9359d22dc)
+++ cpukit/score/cpu/sh/rtems/score/cpu.h	(revision 9a26317f87f329c748cedb2b7cb307a15540703e)
@@ -333,35 +333,35 @@
 
 typedef struct {
-  unsigned32 *r15;	/* stack pointer */
-
-  unsigned32 macl;
-  unsigned32 mach;
-  unsigned32 *pr;
-
-  unsigned32 *r14;	/* frame pointer/call saved */
-
-  unsigned32 r13;	/* call saved */
-  unsigned32 r12;	/* call saved */
-  unsigned32 r11;	/* call saved */
-  unsigned32 r10;	/* call saved */
-  unsigned32 r9;	/* call saved */
-  unsigned32 r8;	/* call saved */
-
-  unsigned32 *r7;	/* arg in */
-  unsigned32 *r6;	/* arg in */
+  uint32_t   *r15;	/* stack pointer */
+
+  uint32_t   macl;
+  uint32_t   mach;
+  uint32_t   *pr;
+
+  uint32_t   *r14;	/* frame pointer/call saved */
+
+  uint32_t   r13;	/* call saved */
+  uint32_t   r12;	/* call saved */
+  uint32_t   r11;	/* call saved */
+  uint32_t   r10;	/* call saved */
+  uint32_t   r9;	/* call saved */
+  uint32_t   r8;	/* call saved */
+
+  uint32_t   *r7;	/* arg in */
+  uint32_t   *r6;	/* arg in */
 
 #if 0
-  unsigned32 *r5;	/* arg in */
-  unsigned32 *r4;	/* arg in */
-#endif
-
-  unsigned32 *r3;	/* scratch */
-  unsigned32 *r2;	/* scratch */
-  unsigned32 *r1;	/* scratch */
-
-  unsigned32 *r0;	/* arg return */
-
-  unsigned32 gbr;
-  unsigned32 sr; 
+  uint32_t   *r5;	/* arg in */
+  uint32_t   *r4;	/* arg in */
+#endif
+
+  uint32_t   *r3;	/* scratch */
+  uint32_t   *r2;	/* scratch */
+  uint32_t   *r1;	/* scratch */
+
+  uint32_t   *r0;	/* arg return */
+
+  uint32_t   gbr;
+  uint32_t   sr; 
 
 } Context_Control;
@@ -380,5 +380,5 @@
   } r;
   float fpul;       /* fp communication register */
-  unsigned32 fpscr; /* fp control register */
+  uint32_t   fpscr; /* fp control register */
 #endif /* SH_HAS_FPU */
 } Context_Control_fp;
@@ -399,11 +399,11 @@
   void       (*idle_task)( void );
   boolean      do_zero_of_workspace;
-  unsigned32   idle_task_stack_size;
-  unsigned32   interrupt_stack_size;
-  unsigned32   extra_mpci_receive_server_stack;
-  void *     (*stack_allocate_hook)( unsigned32 );
+  uint32_t     idle_task_stack_size;
+  uint32_t     interrupt_stack_size;
+  uint32_t     extra_mpci_receive_server_stack;
+  void *     (*stack_allocate_hook)( uint32_t   );
   void       (*stack_free_hook)( void* );
   /* end of fields required on all CPUs */
-  unsigned32	clicks_per_second ; /* cpu frequency in Hz */
+  uint32_t  	clicks_per_second ; /* cpu frequency in Hz */
 }   rtems_cpu_table;
 
@@ -464,5 +464,5 @@
 
 /* XXX: if needed, put more variables here */
-SCORE_EXTERN void CPU_delay( unsigned32 microseconds );
+SCORE_EXTERN void CPU_delay( uint32_t   microseconds );
 
 /*
@@ -611,5 +611,5 @@
   sh_set_interrupt_level(_newlevel)
 
-unsigned32 _CPU_ISR_Get_level( void );
+uint32_t   _CPU_ISR_Get_level( void );
 
 /* end of ISR handler macros */
@@ -644,6 +644,6 @@
   Context_Control       *_the_context,
   void                  *_stack_base,
-  unsigned32            _size,
-  unsigned32            _isr,
+  uint32_t              _size,
+  uint32_t              _isr,
   void    (*_entry_point)(void),
   int                   _is_fp );
@@ -717,5 +717,5 @@
 #ifdef BSP_FATAL_HALT
   /* we manage the fatal error in the board support package */
-  void bsp_fatal_halt( unsigned32 _error);
+  void bsp_fatal_halt( uint32_t   _error);
 #define _CPU_Fatal_halt( _error ) bsp_fatal_halt( _error)
 #else
@@ -792,5 +792,5 @@
 #if (CPU_USE_GENERIC_BITFIELD_CODE == FALSE)
 
-extern unsigned8 _bit_set_table[];
+extern uint8_t   _bit_set_table[];
 
 #define _CPU_Bitfield_Find_first_bit( _value, _output ) \
@@ -857,5 +857,5 @@
  
 void _CPU_ISR_install_raw_handler(
-  unsigned32  vector,
+  uint32_t    vector,
   proc_ptr    new_handler,
   proc_ptr   *old_handler
@@ -869,5 +869,5 @@
 
 void _CPU_ISR_install_vector(
-  unsigned32  vector,
+  uint32_t    vector,
   proc_ptr    new_handler,
   proc_ptr   *old_handler
Index: cpukit/score/cpu/sh/rtems/score/sh.h
===================================================================
--- cpukit/score/cpu/sh/rtems/score/sh.h	(revision 42540ecd0e692820604bc5723f2a06f9359d22dc)
+++ cpukit/score/cpu/sh/rtems/score/sh.h	(revision 9a26317f87f329c748cedb2b7cb307a15540703e)
@@ -163,5 +163,5 @@
 #define sh_get_interrupt_level( _level ) \
 { \
-  register unsigned32 _tmpsr ; \
+  register uint32_t   _tmpsr ; \
   \
   asm volatile( "stc sr, %0" : "=r" (_tmpsr) ); \
@@ -171,5 +171,5 @@
 #define sh_set_interrupt_level( _newlevel ) \
 { \
-  register unsigned32 _tmpsr; \
+  register uint32_t   _tmpsr; \
   \
   asm volatile ( "stc sr, %0" : "=r" (_tmpsr) ); \
Index: cpukit/score/cpu/sh/rtems/score/sh_io.h
===================================================================
--- cpukit/score/cpu/sh/rtems/score/sh_io.h	(revision 42540ecd0e692820604bc5723f2a06f9359d22dc)
+++ cpukit/score/cpu/sh/rtems/score/sh_io.h	(revision 9a26317f87f329c748cedb2b7cb307a15540703e)
@@ -31,14 +31,14 @@
 #define readw(addr) 	(*(volatile unsigned short *) (addr))
 #define readl(addr) 	(*(volatile unsigned int *) (addr))
-#define read8(addr)     (*(volatile unsigned8 *) (addr))
-#define read16(addr)    (*(volatile unsigned16 *) (addr))
-#define read32(addr)    (*(volatile unsigned32 *) (addr))
+#define read8(addr)     (*(volatile uint8_t   *) (addr))
+#define read16(addr)    (*(volatile uint16_t   *) (addr))
+#define read32(addr)    (*(volatile uint32_t   *) (addr))
 
 #define writeb(b,addr) 	((*(volatile unsigned char *) (addr)) = (b))
 #define writew(b,addr) 	((*(volatile unsigned short *) (addr)) = (b))
 #define writel(b,addr) 	((*(volatile unsigned int *) (addr)) = (b))
-#define write8(b,addr) 	((*(volatile unsigned8  *) (addr)) = (b))
-#define write16(b,addr) ((*(volatile unsigned16 *) (addr)) = (b))
-#define write32(b,addr) ((*(volatile unsigned32 *) (addr)) = (b))
+#define write8(b,addr) 	((*(volatile uint8_t    *) (addr)) = (b))
+#define write16(b,addr) ((*(volatile uint16_t   *) (addr)) = (b))
+#define write32(b,addr) ((*(volatile uint32_t   *) (addr)) = (b))
 
 #define inb(addr)	readb(addr)
